summaryrefslogtreecommitdiff
path: root/support/dktools/itaclean.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/dktools/itaclean.sh
Initial commit
Diffstat (limited to 'support/dktools/itaclean.sh')
-rwxr-xr-xsupport/dktools/itaclean.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/support/dktools/itaclean.sh b/support/dktools/itaclean.sh
new file mode 100755
index 0000000000..d6a7069a75
--- /dev/null
+++ b/support/dktools/itaclean.sh
@@ -0,0 +1,62 @@
+#! /bin/sh
+
+# Copyright (c) 2015, Dirk Krause
+#
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms,
+# with or without modification, are permitted provided
+# that the following conditions are met:
+#
+# * Redistributions of source code must retain the above
+# copyright notice, this list of conditions and the
+# following disclaimer.
+#
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials
+# provided with the distribution.
+#
+# * Neither the name of the copyright holder(s) nor the names of
+# contributors may be used to endorse or promote
+# products derived from this software without specific
+# prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.
+# IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
+# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
+# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
+# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
+# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+
+
+EXITSTATUS=0
+
+remove_if_exists() {
+ if [ -f $* ]
+ then
+ rm $* || EXITSTATUS=1
+ fi
+}
+
+remove_if_exists hosts
+remove_if_exists hosts.ldif
+remove_if_exists ethers-by-ip
+remove_if_exists ethers-by-mac
+remove_if_exists ethers.ldif
+remove_if_exists netgroup.ldif
+remove_if_exists dhcpd.conf
+remove_if_exists netdocu.tex
+remove_if_exists licenses.tex
+remove_if_exists netdocu.pdf
+remove_if_exists licenses.pdf
+
+exit $EXITSTATUS
+